Package org.apache.solr.client.solrj.request

# Class CollectionAdminRequest.Create

java.lang.Object
org.apache.solr.client.solrj.SolrRequest<CollectionAdminResponse>
org.apache.solr.client.solrj.request.CollectionAdminRequest<CollectionAdminResponse>
org.apache.solr.client.solrj.request.CollectionAdminRequest.AsyncCollectionAdminRequest
org.apache.solr.client.solrj.request.CollectionAdminRequest.AsyncCollectionSpecificAdminRequest
org.apache.solr.client.solrj.request.CollectionAdminRequest.Create

All Implemented Interfaces:
  `Serializable`, `MapSerializable`, `MapWriter`, `NavigableObject`, `org.noggit.JSONWriter.Writable`

Enclosing class:
  `CollectionAdminRequest<T extends CollectionAdminResponse>`

public static class CollectionAdminRequest.Create extends CollectionAdminRequest.AsyncCollectionSpecificAdminRequest

See Also:
  - Serialized Form

## Nested Class Summary

## Nested classes/interfaces inherited from class org.apache.solr.client.solrj.request.CollectionAdminRequest

`CollectionAdminRequest.AddReplica, CollectionAdminRequest.AddReplicaProp, CollectionAdminRequest.AddRole, CollectionAdminRequest.AsyncCollectionAdminRequest, CollectionAdminRequest.AsyncCollectionSpecificAdminRequest, CollectionAdminRequest.AsyncShardSpecificAdminRequest, CollectionAdminRequest.Backup, CollectionAdminRequest.BalanceShardUnique, CollectionAdminRequest.ClusterProp, CollectionAdminRequest.ClusterStatus, CollectionAdminRequest.CollectionAdminRoleRequest, CollectionAdminRequest.CollectionProp, CollectionAdminRequest.ColStatus, CollectionAdminRequest.Create, CollectionAdminRequest.CreateAlias, CollectionAdminRequest.CreateCategoryRoutedAlias, CollectionAdminRequest.CreateShard, CollectionAdminRequest.CreateSnapshot, CollectionAdminRequest.CreateTimeRoutedAlias, CollectionAdminRequest.Delete, CollectionAdminRequest.DeleteAlias, CollectionAdminRequest.DeleteBackup, CollectionAdminRequest.DeleteNode, CollectionAdminRequest.DeleteReplica, CollectionAdminRequest.DeleteReplicaProp, CollectionAdminRequest.DeleteShard, CollectionAdminRequest.DeleteSnapshot, CollectionAdminRequest.DeleteStatus, CollectionAdminRequest.DimensionalRoutedAlias, CollectionAdminRequest.ForceLeader, CollectionAdminRequest.InstallShard, CollectionAdminRequest.List, CollectionAdminRequest.ListAliases, CollectionAdminRequest.ListBackup, CollectionAdminRequest.ListSnapshots, CollectionAdminRequest.Migrate, CollectionAdminRequest.MockCollTask, CollectionAdminRequest.Modify, CollectionAdminRequest.MoveReplica, CollectionAdminRequest.OverseerStatus, CollectionAdminRequest.RebalanceLeaders, CollectionAdminRequest.ReindexCollection, CollectionAdminRequest.Reload, CollectionAdminRequest.RemoveRole, CollectionAdminRequest.Rename, CollectionAdminRequest.ReplaceNode, CollectionAdminRequest.RequestApiDistributedProcessing, CollectionAdminRequest.RequestApiDistributedProcessingResponse, CollectionAdminRequest.RequestStatus, CollectionAdminRequest.RequestStatusResponse, CollectionAdminRequest.Restore, CollectionAdminRequest.RoutedAliasAdminRequest, CollectionAdminRequest.SetAliasProperty, CollectionAdminRequest.ShardSpecificAdminRequest, CollectionAdminRequest.SplitShard`

## Nested classes/interfaces inherited from class org.apache.solr.client.solrj.SolrRequest

`SolrRequest.ApiVersion, SolrRequest.METHOD, SolrRequest.SolrClientContext, SolrRequest.SolrRequestType`

## Nested classes/interfaces inherited from interface org.apache.solr.common.MapWriter

`MapWriter.EntryWriter`

## Field Summary

Fields
Modifier and Type
Field
Description
`protected String`
`alias`
`protected String`
`configName`
`protected String`
`createNodeSet`
`protected ReplicaCount`
`numReplicas`
`protected Integer`
`numShards`
`protected Boolean`
`perReplicaState`
`protected String`
`policy`
`protected Properties`
`properties`
`protected String`
`routerField`
`protected String`
`routerName`
`protected String[]`
`rule`
`protected String`
`shards`
`protected String[]`
`snitch`

### Fields inherited from class org.apache.solr.client.solrj.request.CollectionAdminRequest.AsyncCollectionSpecificAdminRequest

`collection, followAliases`

### Fields inherited from class org.apache.solr.client.solrj.request.CollectionAdminRequest.AsyncCollectionAdminRequest

`asyncId, waitForFinalState`

### Fields inherited from class org.apache.solr.client.solrj.request.CollectionAdminRequest

`action, MODIFIABLE_COLLECTION_PROPERTIES, PROPERTY_PREFIX`

### Fields inherited from class org.apache.solr.client.solrj.SolrRequest

`SUPPORTED_METHODS`

### Fields inherited from interface org.apache.solr.common.MapWriter

`EMPTY`

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`Create(String collection, String config, Integer numShards, Integer numNrtReplicas, Integer numTlogReplicas, Integer numPullReplicas)`
Constructor intended for typical use cases
`protected`
`Create(String collection, String config, String shards, int numNrtReplicas)`
Constructor that assumes `ImplicitDocRouter.NAME` and an explicit list of `shards`

## Method Summary

Modifier and Type
Method
Description
`String`
`getConfigName()`
`String`
`getCreateNodeSet()`
`Integer`
`getNumNrtReplicas()`
`Integer`
`getNumPullReplicas()`
`Integer`
`getNumReplicas(Replica.Type type)`
`Integer`
`getNumShards()`
`Integer`
`getNumTlogReplicas()`
`SolrParams`
`getParams()`
The parameters for this request; never null.
`Boolean`
`getPerReplicaState()`
`Properties`
`getProperties()`
`Integer`
`getReplicationFactor()`
`String`
`getRouterName()`
`String`
`getShards()`
`CollectionAdminRequest.Create`
`setAlias(String alias)`
`CollectionAdminRequest.Create`
`setCreateNodeSet(String nodeSet)`
`CollectionAdminRequest.Create`
`setNrtReplicas(Integer nrtReplicas)`
`CollectionAdminRequest.Create`
`setNumReplicas(Replica.Type type, Integer count)`
`CollectionAdminRequest.Create`
`setPerReplicaState(Boolean b)`
`CollectionAdminRequest.Create`
`setPolicy(String policy)`
`CollectionAdminRequest.Create`
`setProperties(Map<String,String> properties)`
`CollectionAdminRequest.Create`
`setProperties(Properties properties)`
`CollectionAdminRequest.Create`
`setPullReplicas(Integer pullReplicas)`
`CollectionAdminRequest.Create`
`setReplicationFactor(Integer repl)`
`CollectionAdminRequest.Create`
`setRouterField(String routerField)`
`CollectionAdminRequest.Create`
`setRouterName(String routerName)`
`CollectionAdminRequest.Create`
`setRule(String... s)`
`CollectionAdminRequest.Create`
`setShards(String shards)`
Provide the name of the shards to be created, separated by commas
`CollectionAdminRequest.Create`
`setSnitch(String... s)`
`CollectionAdminRequest.Create`
`setTlogReplicas(Integer tlogReplicas)`
`CollectionAdminRequest.Create`
`withProperty(String key, String value)`

### Methods inherited from class org.apache.solr.client.solrj.request.CollectionAdminRequest.AsyncCollectionSpecificAdminRequest

`getCollectionName, setFollowAliases`

### Methods inherited from class org.apache.solr.client.solrj.request.CollectionAdminRequest.AsyncCollectionAdminRequest

`createResponse, getAsyncId, processAndWait, processAndWait, processAsync, processAsync, setAsyncId, setWaitForFinalState`

### Methods inherited from class org.apache.solr.client.solrj.request.CollectionAdminRequest

`addProperties, addReplicaByRouteKey, addReplicaProperty, addReplicaToShard, addReplicaToShard, addRole, backupCollection, balanceReplicaProperty, collectionStatus, collectionStatuses, createAlias, createCategoryRoutedAlias, createCollection, createCollection, createCollection, createCollectionWithImplicitRouter, createCollectionWithImplicitRouter, createDimensionalRoutedAlias, createShard, createTimeRoutedAlias, deleteAlias, deleteAllAsyncIds, deleteAsyncId, deleteBackupById, deleteBackupByRecency, deleteBackupPurgeUnusedFiles, deleteCollection, deleteNode, deleteReplica, deleteReplica, deleteReplicaProperty, deleteReplicasFromAllShards, deleteReplicasFromShard, deleteShard, forceLeaderElection, getClusterStatus, getOverseerStatus, installDataToShard, installDataToShard, listBackup, listCollections, migrateData, mockCollTask, modifyCollection, moveReplica, propagateBasicAuthCreds, rebalanceLeaders, reindexCollection, reloadCollection, removeRole, renameCollection, requestStatus, requiresCollection, restoreCollection, setAliasProperty, setClusterProperty, setCollectionProperty, splitShard, toString, waitForAsyncRequest, writeMap`

### Methods inherited from class org.apache.solr.client.solrj.SolrRequest

`addHeader, addHeaders, getApiVersion, getBasicAuthPassword, getBasicAuthUser, getCollection, getContentStreams, getContentWriter, getHeaders, getMethod, getPath, getPreferredNodes, getQueryParams, getRequestType, getResponseParser, getStreamingResponseCallback, getUserPrincipal, process, process, processWithBaseUrl, setBasicAuthCredentials, setMethod, setPath, setPreferredNodes, setQueryParams, setRequestType, setResponseParser, setStreamingResponseCallback, setUserPrincipal`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.apache.solr.common.MapWriter

`jsonStr, toMap, write`

### Methods inherited from interface org.apache.solr.common.NavigableObject

`_forEachEntry, _forEachEntry, _forEachEntry, _get, _get, _getStr, _getStr, _size`

## Field Details

### configName

protected String configName

### createNodeSet

protected String createNodeSet

### routerName

protected String routerName

### policy

protected String policy

### shards

protected String shards

### routerField

protected String routerField

### numShards

protected Integer numShards

### numReplicas

protected ReplicaCount numReplicas

### perReplicaState

protected Boolean perReplicaState

### properties

protected Properties properties

### alias

protected String alias

### rule

protected String[] rule

### snitch

protected String[] snitch

## Constructor Details

### Create

protected Create(String collection, String config, Integer numShards, Integer numNrtReplicas, Integer numTlogReplicas, Integer numPullReplicas)
Constructor intended for typical use cases

### Create

protected Create(String collection, String config, String shards, int numNrtReplicas)
Constructor that assumes `ImplicitDocRouter.NAME` and an explicit list of `shards`

## Method Details

### setCreateNodeSet

public CollectionAdminRequest.Create setCreateNodeSet(String nodeSet)

### setRouterName

public CollectionAdminRequest.Create setRouterName(String routerName)

### setRouterField

public CollectionAdminRequest.Create setRouterField(String routerField)

### setNrtReplicas

public CollectionAdminRequest.Create setNrtReplicas(Integer nrtReplicas)

### setTlogReplicas

public CollectionAdminRequest.Create setTlogReplicas(Integer tlogReplicas)

### setPullReplicas

public CollectionAdminRequest.Create setPullReplicas(Integer pullReplicas)

### setNumReplicas

public CollectionAdminRequest.Create setNumReplicas(Replica.Type type, Integer count)

### setReplicationFactor

public CollectionAdminRequest.Create setReplicationFactor(Integer repl)

### setRule

public CollectionAdminRequest.Create setRule(String... s)

### setSnitch

public CollectionAdminRequest.Create setSnitch(String... s)

### setPerReplicaState

public CollectionAdminRequest.Create setPerReplicaState(Boolean b)

### setAlias

public CollectionAdminRequest.Create setAlias(String alias)

### getConfigName

public String getConfigName()

### getCreateNodeSet

public String getCreateNodeSet()

### getRouterName

public String getRouterName()

### getShards

public String getShards()

### getNumShards

public Integer getNumShards()

### getReplicationFactor

public Integer getReplicationFactor()

### getNumNrtReplicas

public Integer getNumNrtReplicas()

### getNumTlogReplicas

public Integer getNumTlogReplicas()

### getNumPullReplicas

public Integer getNumPullReplicas()

### getNumReplicas

public Integer getNumReplicas(Replica.Type type)

### getPerReplicaState

public Boolean getPerReplicaState()

### setShards

public CollectionAdminRequest.Create setShards(String shards)
Provide the name of the shards to be created, separated by commas

Shard names must consist entirely of periods, underscores, hyphens, and alphanumerics. Other characters are not allowed.

Throws:
  `IllegalArgumentException` - if any of the shard names contain invalid characters.

### getProperties

public Properties getProperties()

### setProperties

public CollectionAdminRequest.Create setProperties(Properties properties)

### setProperties

public CollectionAdminRequest.Create setProperties(Map<String,String> properties)

### withProperty

public CollectionAdminRequest.Create withProperty(String key, String value)

### getParams

public SolrParams getParams()
Description copied from class: `SolrRequest`
The parameters for this request; never null. The runtime type may be mutable but modifications may not affect this `SolrRequest` instance, as it may return a new instance here every time. If the subclass specifies the response type as `ModifiableSolrParams`, then one can expect it to change this request. If the subclass has a setter then one can expect this method to return the value set.

Overrides:
  `getParams` in class `CollectionAdminRequest.AsyncCollectionSpecificAdminRequest`

### setPolicy

public CollectionAdminRequest.Create setPolicy(String policy)